Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class QuartzSchedulerThread

    java.lang.Object
      java.lang.Thread
          org.quartz.core.QuartzSchedulerThread

All Implemented Interfaces:
  Runnable

    public class QuartzSchedulerThread

extends Thread

The thread responsible for performing the work of firing ``Trigger`` s that are registered with the ``QuartzScheduler``.

Author:
  James House
See Also:
  `QuartzScheduler`, `Job`, `Trigger`

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` | `clearSignaledSchedulingChange()`
`void` | `errorTriggerRetryLoop(TriggerFiredBundle bndle)`
`org.slf4j.Logger` | `getLog()`
`long` | `getSignaledNextFireTime()`
`boolean` | `isScheduleChanged()`
`void` | `releaseTriggerRetryLoop(Trigger trigger)`
`void` | `run()` The main processing loop of the `QuartzSchedulerThread`.
`void` | `setDbFailureRetryInterval(long dbFailureRetryInterval)`
`void` | `signalSchedulingChange(long candidateNewNextFireTime)` Signals the main processing loop that a change in scheduling has been made - in order to interrupt any sleeping that may be occuring while waiting for the fire time to arrive.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setDbFailureRetryInterval

    public void setDbFailureRetryInterval(long dbFailureRetryInterval)

### signalSchedulingChange

    public void signalSchedulingChange(long candidateNewNextFireTime)

  Signals the main processing loop that a change in scheduling has been made - in order to interrupt any sleeping that may be occuring while waiting for the fire time to arrive.

  Parameters:
    `newNextTime` - the time (in millis) when the newly scheduled trigger will fire. If this method is being called do to some other even (rather than scheduling a trigger), the caller should pass zero (0).

### clearSignaledSchedulingChange

    public void clearSignaledSchedulingChange()

### isScheduleChanged

    public boolean isScheduleChanged()

### getSignaledNextFireTime

    public long getSignaledNextFireTime()

### run

    public void run()

  The main processing loop of the `QuartzSchedulerThread`.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### errorTriggerRetryLoop

    public void errorTriggerRetryLoop(TriggerFiredBundle bndle)

### releaseTriggerRetryLoop

    public void releaseTriggerRetryLoop(Trigger trigger)

### getLog

    public org.slf4j.Logger getLog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.